#! /bin/zsh 

# custom copy phase that does not include Headers in Frameworks
destinationDirectory="Frameworks"
sourceItems=(
	"${BUILD_ROOT}/UninstalledProducts/TomatoTorrentAgent.framework" 
	"${BUILD_ROOT}/UninstalledProducts/SKFoundation.framework" 
	"${BUILD_ROOT}/UninstalledProducts/SKFoundationAdditions.framework" 
	"${BUILD_ROOT}/UninstalledProducts/SKAppKitAdditions.framework"
)

PBXCp=/Developer/Tools/pbxcp
excludes=(-exclude .DS_Store -exclude CVS -exclude Headers -exclude .svn)
bundleContentsDir="${TARGET_BUILD_DIR}/${PRODUCT_NAME}.${WRAPPER_EXTENSION}/Contents/"

mkdir -p "${bundleContentsDir}/${destinationDirectory}"

for anItem in $sourceItems
	$PBXCp $excludes -resolve-src-symlinks "${anItem}" "${bundleContentsDir}/${destinationDirectory}"
