## Sarwat's version based on Python 2.2 and 2.3's. Trimmed and set up for BitTorrent and OS X.
## Removes the ability for site customization other than path.

import sys, os



def makepath(*paths):
    dir = os.path.abspath(os.path.join(*paths))
    return dir, os.path.normcase(dir)

for m in sys.modules.values():
    if hasattr(m, "__file__") and m.__file__:
        m.__file__ = os.path.abspath(m.__file__)
del m

# This ensures that the initial path provided by the interpreter contains
# only absolute pathnames
L = []
_dirs_in_sys_path = {}
dir = dircase = None  # sys.path may be empty at this point
for dir in sys.path:
    # Filter out duplicate paths (on case-insensitive file systems also
    # if they only differ in case); turn relative paths into absolute
    # paths.
    dir, dircase = makepath(dir)
    if not dircase in _dirs_in_sys_path:
        L.append(dir)
        _dirs_in_sys_path[dircase] = 1
sys.path[:] = L
del dir, dircase, L

_dirs_in_sys_path = None

encoding = "utf-8"
sys.setdefaultencoding(encoding)

# BitTorrent 3.3 needs this. 
# +++ This may not work.
if sys.version < '2.3':
	class bool(int):
		def __new__(self, foo): return int.__new__(self, not not foo)
	__builtins__['bool'] = bool
	__builtins__['True'] = bool(1)
	__builtins__['False'] = bool(0)

#
# Remove sys.setdefaultencoding() so that users cannot change the
# encoding after initialization.  The test for presence is needed when
# this module is run as a script, because this code is executed twice.
#
if hasattr(sys, "setdefaultencoding"):
    del sys.setdefaultencoding

def _test():
    print "sys.path = ["
    for dir in sys.path:
        print "    %s," % `dir`
    print "]"

if __name__ == '__main__':
    _test()
